@title Lte Italy - B715 WebUI

@setlocal

@prompt $G 

@if not exist bin\adb.exe (
  echo.
  echo Esegui lo script come utente normale.
  goto quit2
)

@set file=
@for %%f in (*.cpio) do @set file="%%f"
@if not defined file (
  echo.
  echo File .cpio non trovato!
  echo Verifica di aver scaricato correttamente il pacchetto.
  goto quit2
)

@echo.
@echo Verra installata l'interfaccia web %file%

@echo.
@echo Seleziona l'indirizzo IP del modem:
@echo 1           - 192.168.8.1
@echo 2           - 192.168.1.1
@echo 3           - Inserisci manualmente
@echo 0           - Esci
@set choice=1
@set /P choice=": "

@if "%choice%" == "0" goto :eof

@^
if not "%choice%" == "1" (
if not "%choice%" == "2" (
if not "%choice%" == "3" (
  echo.
  echo Input non valido
  goto quit2
)))

@if "%choice%" == "1" set ip_addr=192.168.8.1
@if "%choice%" == "2" set ip_addr=192.168.1.1

@if not "%choice%" == "3" goto l1

@echo.
@set ip_addr=
@set /P ip_addr="Inserisci indirizzo IP: "

@if not defined ip_addr (
  echo.
  echo Input non valido
  goto quit2
)

:l1

@bin\adb kill-server 2> nul

bin\adb connect %ip_addr%:5555

bin\adb push %file% /mnt/obb/webui.cpio

bin\adb shell mount -o remount,rw /app/webroot /app/webroot

bin\adb shell umount /app/webroot/WebApp/common/autorun

bin\adb shell busybox rm -rf /app/webroot/*

bin\adb shell "busybox [ -f /system/bin/busyboxx ] || ( cd /app/webroot && busybox cpio -ium -F /mnt/obb/webui.cpio )"
bin\adb shell "busybox [ -f /system/bin/busyboxx ] && cd /app/webroot && busyboxx cpio -ium -F /mnt/obb/webui.cpio"

bin\adb shell "busybox [ -L /app/webroot/data ] || busybox ln -sf /data /app/webroot/data"

bin\adb shell mount -o remount,ro /app/webroot /app/webroot

bin\adb shell busybox rm /mnt/obb/webui.cpio

@echo.
@set choice=1
@set /P choice="Riavviare il modem? (SI > 1 o premi Enter, NO > 2) : "

@if not "%choice%" == "1" goto quit

@echo.
@echo Riavvio in corso ...

bin\adb shell "busybox echo -en 'AT^RESET\r' > /dev/appvcom1"

:quit

@bin\adb kill-server

:quit2

@echo.
@echo Premi un tasto qualsiasi per chiudere questa finestra.
@pause > nul
